import isNullOrEmpty from '../../../utils/isNullOrEmpty';


export default ({
    focus = false,
    value = ''
} = {}) => {
    const rawNumber = Number(value);
    const isNumber = !Number.isNaN(rawNumber);

    const number = isNumber
        ? rawNumber
        : 0;

    const rawValue = isNumber && !isNullOrEmpty(value)
        ? value.toString()
        : '';

    return {
        focus,
        rawValue,
        value: number
    };
};
